Net::Frame::Dump(3)

NAME
Net::Frame::Dump - base-class for a tcpdump like implementation

DESCRIPTION
Net::Frame::Dump is the base class for all dump modules. With them, you can open a device for live capture, for offline analysis, or for creating a pcap file.

See Net::Frame::Dump::Offline, Net::Frame::Dump::Online, Net::Frame::Dump::Writer for specific usage.

METHODS

new (%h)
    Base-class object constructor.

CONSTANTS
Load them: use Net::Frame::Dump qw(:consts);

NF_DUMP_LAYER_NULL
NF_DUMP_LAYER_ETH
NF_DUMP_LAYER_RAW
NF_DUMP_LAYER_SLL
NF_DUMP_LAYER_PPP
NF_DUMP_LAYER_80211_RADIOTAP
NF_DUMP_LAYER_80211
    Various supported link layers.

SEE ALSO
Net::Frame::Dump::Online, Net::Frame::Dump::Offline, Net::Frame::Dump::Writer

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
Copyright (c) 2006-2020, Patrice <GomoR> Auffret

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.